GuideLab API

Generate Sticker Pdf

Generate sticker PDF data for a specific order using a template. Resolves order variables (patient, clinic, doctor, product category) and returns processed template data with inputs for PDF generation.

POST
/sticker-templates/generate

Generate sticker PDF data for a specific order using a template. Resolves order variables (patient, clinic, doctor, product category) and returns processed template data with inputs for PDF generation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/sticker-templates/generate" \  -H "Content-Type: application/json" \  -d '{    "templateId": "string",    "orderId": "string"  }'
{  "template": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "description": "string",    "width": "string",    "height": "string",    "templateData": {      "basePdf": "string",      "schemas": [        [          {            "property1": null,            "property2": null          }        ]      ],      "sampledata": [        {          "property1": null,          "property2": null        }      ],      "property1": null,      "property2": null    },    "previewImageKey": "string",    "isDefault": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  },  "variables": {    "property1": "string",    "property2": "string"  },  "inputs": [    {      "property1": "string",      "property2": "string"    }  ],  "copies": 0}
Empty
Empty
Empty